Subject: Re: [RFC/PATCH 0/16] Ops based MSI Implementation

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 29 Jan 2007 11:58:21 +1100

> There are specific calls into the sparc64 hypervisor for MSI vs. MSI-X
> configuration operations.  So a type is necessary.

BTW. Do you have some pointers to documentation on those sparc64
interfaces ? I'd like to have a look as we might still try to change
some of our approach to match some of Eric's whishes, I want to make
sure I'm not going somewhere that will not work for sparc...

For example, I'd like to know if sparc64 HV is indeed like IBM, that is
a single HV call does the complete setup, or if you still have some
level of manual config space access to do.

Ben.